### Method

# Gimp VectorLayer set_stroke_dash_pattern

since: 3.2

#### Declaration [src]

    gboolean
    gimp_vector_layer_set_stroke_dash_pattern (
      GimpVectorLayer* layer,
      gsize num_dashes,
      const gdouble* dashes
    )

#### Description [src]

Set the stroke dash pattern of a vector layer.

This procedure sets the stroke dash pattern in a vector layer.

Available since: 3.2

#### Parameters

`num_dashes`

  Type: `gsize`

  The number of dashes in the dash pattern array.

`dashes`

  Type: An array of `double`

  The line dash pattern setting.

  The length of the array is specified in the `num_dashes` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.